phpCAS version 1.3.6

Modules | Namespaces | Classes | Functions | Variables
User interface

## Modules
| Initialization
| Authentication
| Access to external services
| Configuration
| Debugging

## Namespaces
| PhpCAS

## Classes
class | phpCAS

## Functions
static | phpCAS::getVersion ()

## Variables
const | CAS_VERSION_1_0 '1.0'
const | CAS_VERSION_2_0 '2.0'
const | CAS_VERSION_3_0 '3.0'
const | SAML_VERSION_1_1 'S1'
const | SAML_XML_HEADER '<?xml version="1.0" encoding="UTF-8"?>'
const | SAML_SOAP_ENV '<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"><SOAP-ENV:Header/>'
const | SAML_SOAP_BODY '<SOAP-ENV:Body>'
const | SAMLP_REQUEST '<samlp:Request xmlns:samlp="urn:oasis:names:tc:SAML:1.0:protocol" MajorVersion="1" MinorVersion="1" RequestID="_192.168.16.51.1024506224022" IssueInstant="2002-06-19T17:03:44.022Z">'
const | SAMLP_REQUEST_CLOSE '</samlp:Request>'
const | SAML_ASSERTION_ARTIFACT '<samlp:AssertionArtifact>'
const | SAML_ASSERTION_ARTIFACT_CLOSE '</samlp:AssertionArtifact>'
const | SAML_SOAP_BODY_CLOSE '</SOAP-ENV:Body>'
const | SAML_SOAP_ENV_CLOSE '</SOAP-ENV:Envelope>'
const | SAML_ATTRIBUTES 'SAMLATTRIBS'
const | DEFAULT_ERROR 'Internal script failure'

## Detailed Description

## Function Documentation

## ◆ getVersion()

static phpCAS::getVersion | ( |  | ) |
| static

This method returns the phpCAS version.

Returns
  the phpCAS version.

Examples:
  example_lang.php.

Definition at line 714 of file CAS.php.

References PHPCAS_VERSION.

Referenced by CAS_Client\_htmlFilterOutput().

## Variable Documentation

## ◆ CAS_VERSION_1_0

const CAS_VERSION_1_0 '1.0'

CAS version 1.0

Definition at line 74 of file CAS.php.

Referenced by CAS_AuthenticationException\__construct(), CAS_Client\__construct(), CAS_Client\_authError(), CAS_Client\getServerProxyURL(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerServiceValidateURL(), and CAS_Client\isAuthenticated().

## ◆ CAS_VERSION_2_0

const CAS_VERSION_2_0 '2.0'

CAS version 2.0

Examples:
  example_custom_urls.php, example_gateway.php, example_html.php, example_lang.php, example_logout.php, example_pgt_storage_db.php, example_pgt_storage_file.php, example_proxy_GET.php, example_proxy_POST.php, example_proxy_serviceWeb.php, example_proxy_serviceWeb_chaining.php, example_service.php, example_service_POST.php, example_service_that_proxies.php, and example_simple.php.

Definition at line 78 of file CAS.php.

Referenced by CAS_AuthenticationException\__construct(), CAS_Client\__construct(), CAS_Client\_authError(), phpCAS\allowProxyChain(), CAS_Client\getServerProxyURL(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerServiceValidateURL(), and CAS_Client\isAuthenticated().

## ◆ CAS_VERSION_3_0

const CAS_VERSION_3_0 '3.0'

CAS version 3.0

Definition at line 82 of file CAS.php.

Referenced by CAS_AuthenticationException\__construct(), CAS_Client\__construct(), CAS_Client\_authError(), phpCAS\allowProxyChain(), CAS_Client\getServerProxyURL(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerServiceValidateURL(), and CAS_Client\isAuthenticated().

## ◆ DEFAULT_ERROR

const DEFAULT_ERROR 'Internal script failure'

SAML Attributes

Definition at line 142 of file CAS.php.

Referenced by phpCAS\error().

## ◆ SAML_ASSERTION_ARTIFACT

const SAML_ASSERTION_ARTIFACT '<samlp:AssertionArtifact>'

SAMLP artifact tag (for the ticket)

Definition at line 117 of file CAS.php.

## ◆ SAML_ASSERTION_ARTIFACT_CLOSE

const SAML_ASSERTION_ARTIFACT_CLOSE '</samlp:AssertionArtifact>'

SAMLP close

Definition at line 122 of file CAS.php.

## ◆ SAML_ATTRIBUTES

const SAML_ATTRIBUTES 'SAMLATTRIBS'

SAML Attributes

Definition at line 137 of file CAS.php.

## ◆ SAML_SOAP_BODY

const SAML_SOAP_BODY '<SOAP-ENV:Body>'

SOAP body for SAML POST

Definition at line 106 of file CAS.php.

## ◆ SAML_SOAP_BODY_CLOSE

const SAML_SOAP_BODY_CLOSE '</SOAP-ENV:Body>'

SOAP body close

Definition at line 127 of file CAS.php.

## ◆ SAML_SOAP_ENV

const SAML_SOAP_ENV '<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"><SOAP-ENV:Header/>'

SOAP envelope for SAML POST

Definition at line 101 of file CAS.php.

Referenced by CAS_Client\_buildSAMLPayload().

## ◆ SAML_SOAP_ENV_CLOSE

const SAML_SOAP_ENV_CLOSE '</SOAP-ENV:Envelope>'

SOAP envelope close

Definition at line 132 of file CAS.php.

## ◆ SAML_VERSION_1_1

const SAML_VERSION_1_1 'S1'

SAML protocol

Examples:
  example_advanced_saml11.php.

Definition at line 91 of file CAS.php.

Referenced by CAS_Client\__construct(), CAS_Client\_readURL(), and CAS_Client\getServerSamlValidateURL().

## ◆ SAML_XML_HEADER

const SAML_XML_HEADER '<?xml version="1.0" encoding="UTF-8"?>'

XML header for SAML POST

Definition at line 96 of file CAS.php.

## ◆ SAMLP_REQUEST

const SAMLP_REQUEST '<samlp:Request xmlns:samlp="urn:oasis:names:tc:SAML:1.0:protocol" MajorVersion="1" MinorVersion="1" RequestID="_192.168.16.51.1024506224022" IssueInstant="2002-06-19T17:03:44.022Z">'

SAMLP request

Definition at line 111 of file CAS.php.

## ◆ SAMLP_REQUEST_CLOSE

const SAMLP_REQUEST_CLOSE '</samlp:Request>'

Definition at line 112 of file CAS.php.